package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserRoleDetail;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserRoleDetail] 服务对象接口
 */
public interface IUserRoleDetailClientService{

    public IUserRoleDetail createModel() ;

    public void remove(IUserRoleDetail userroledetail);

    public void update(IUserRoleDetail userroledetail);

    public void save(IUserRoleDetail userroledetail);

    public void create(IUserRoleDetail userroledetail);

    public void getDraft(IUserRoleDetail userroledetail);

    public void checkKey(IUserRoleDetail userroledetail);

    public void get(IUserRoleDetail userroledetail);

    public Page<IUserRoleDetail> fetchDefault(SearchContext context);

}
